%define		_class		HTTP
%define		_subclass	Header
%define		upstream_name	%{_class}_%{_subclass}

%global		__requires_exclude pear\\(PHPUnit.php\\)

Name:		php-pear-%{upstream_name}
Version:	1.2.1
Release:	%mkrel 6
Summary:	OO-Interface to modify HTTP-Headers easily
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/HTTP_Header/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires(post): php-pear
Requires(preun): php-pear-HTTP >= 1.2
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This class provides methods to set/modify HTTP-Headers. To abstract
common things, like caching etc. some sub classes are provided that
handle special cases (i.e. HTTP_Header_Cache).

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.2.1-6.mga6
+ Revision: 964712
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 743149
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 687293
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 516847
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 376324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 spuhler <spuhler> 1.2.1-1.mga1
+ Revision: 42593
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_Header

